Class | Mime::Type
In: | lib/action_controller/mime_type.rb
Parent: | Object

Encapsulates the notion of a mime type. Can be used at render time, for example, with:

      class PostsController < ActionController::Base
        def show
          @post = Post.find(params[:id])

          respond_to do |format|
            format.html
            format.ics { render :text => post.to_ics, :mime_type => Mime::Type["text/calendar"]  }
            format.xml { render :xml => @people.to_xml }
          end
        end
      end

### Methods

== === html? lookup lookup_by_extension new parse register register_alias to_s to_str to_sym verify_request?

### Public Class methods

lookup(string)
lookup_by_extension(extension)
new(string, symbol = nil, synonyms = [])
parse(accept_header)
register(string, symbol, mime_type_synonyms = [], extension_synonyms = [], skip_lookup = false)
register_alias(string, symbol, extension_synonyms = [])

Registers an alias that‘s not used on mime type lookup, but can be referenced directly. Especially useful for rendering different HTML versions depending on the user agent, like an iPhone.

### Public Instance methods

==(mime_type)
===(list)
html?()
to_s()
to_str()
to_sym()
verify_request?()

Returns true if Action Pack should check requests using this Mime Type for possible request forgery. See ActionController::RequestForgerProtection.

[Validate]